
# Code attached to NeurIPS paper 2021: ''A Normative and Biologically Plausible Algorithm for Independent Component Analysis'', by Yanis Bahroun, Dmitri B. Chklovskii and Anirvan M. Sengupta
# Code from Yanis Bahroun.


Jupyter notebooks for reproducing the experiments: NeurIPS_Fig_1A_procedure.ipynb,NeurIPS_Fig_2A_synth.ipynb,NeurIPS_Fig_2B_audio.ipynb, NeurIPS_Fig_2C_image.ipynb
## Dependencies
numpy, scipy, matplotlib, [quadprog](https://pypi.org/project/quadprog/)

## Data acknowledgements
The images in the folder `images/` are copyrighted (c) Janne Sinkkonen 1994, 1995, 1996, 1997. Copying is permitted only for noncommercial use. Freely available at https://research.ics.aalto.fi/ica/data/images/ (Accessed May 24th 2021).

The sounds in the folder `sounds/` is covered by a permissive Simplified BSD licence, freely available at http://www.mmsp.ece.mcgill.ca/Documents/Data/ (Accessed May 24th 2021).

## References
[1] A. Hyvärinen and P. Hoyer. Emergence of phase-and shift-invariant features by decomposition of natural images into independent feature subspaces.Neural computation, 12(7):1705–1720,2000
[2] P. Kabal. TSP speech database.McGill University, Database Version, 1(0):09–02, 2002.
